JUnit 4 and eclipse in Debian

Michael Koch konqueror at gmx.de
Mon Apr 16 04:53:50 UTC 2007

On Sun, Apr 15, 2007 at 05:09:34PM +0100, Toby Gray wrote:
> Hello,
> I hope that this is the correct email address to direct this question
> at. If it isn't then I apologise and would appreciate any direction on
> what is the correct address.
> I have a question about JUnit 4 and how it's intended to be included
> in Debian.  I'm using eclipse 3.2.1-6 and eclipse-jdt 3.2.1-6 and
> discovered that JUnit 4 support doesn't seem to be included in the
> Debian Eclipse packages. Have I just not discovered the correct
> package? Or is there some plan to include JUnit 4 in Debian in some
> other way(as an update to the junit package perhaps)?

JUnit 4 needs generics and annotation support. We have no support for
that in unstable main currently. When this is included we can include a
new package junit4 and activate the support for it in eclipse. We need
an extra package for junit3 and junit4 because they are too different in
ABI and usage.

 .''`.  | Michael Koch <konqueror at gmx.de>
: :' :  | Free Java Developer <http://www.classpath.org>
`. `'   |
  `-    | 1024D/BAC5 4B28 D436 95E6 F2E0 BD11 5923 A008 2763 483B

More information about the pkg-java-maintainers mailing list